Description says it will install flash, but it doesn't on amd64 systems

Bug #155845 reported by Jeldert on 2007-10-22
4
Affects Status Importance Assigned to Milestone
ubuntu-restricted-extras (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: ubuntu-restricted-extras

The description reads:
Installing this package will pull in support for MP3 playback and decoding,
 support for various other audio formats (gstreamer plugins), Microsoft fonts,
 Java runtime environment, Flash plugin, LAME (to create compressed audio files),
 and DVD playback.

The bug is that Flash is not installed, because it's not a dependancy. I'm not sure what the best solution is:
1 - remove Flash from the description
2 - add Flash to dependencies
The problem with the second solution is wheter to use gnash or flashplugin-nonfree

Siegfried Gevatter (rainct) wrote :

Flash is a recommended dependency of it (like all the others), so actually it should be installed.

«Recommends: gstreamer0.10-plugins-ugly, gstreamer0.10-plugins-ugly-multiverse,
msttcorefonts, flashplugin-nonfree, sun-java6-plugin, unrar,
gstreamer0.10-plugins-bad, gstreamer0.10-plugins-bad-multiverse,
gstreamer0.10-ffmpeg, liblame0, libdvdread3»

Jeldert (jeldert) wrote :

Well, it only is for i386, for AMD64 the following packages are recommended:
Recommends: gstreamer0.10-plugins-ugly, gstreamer0.10-plugins-ugly-multiverse,
            msttcorefonts, sun-java6-jre, unrar, gstreamer0.10-plugins-bad,
            gstreamer0.10-plugins-bad-multiverse, gstreamer0.10-ffmpeg, liblame0,
            libdvdread3

Notice the missing flashplugin-nonfree and other Java package.

Changed in ubuntu-restricted-extras:
importance: Undecided → Wishlist
status: New → Confirmed
importance: Wishlist → Low
Siegfried Gevatter (rainct) wrote :

Ah, yes, you are right. Thanks for your bug report.

Changed in ubuntu-restricted-extras:
assignee: nobody → rainct
status: Confirmed → In Progress
Siegfried Gevatter (rainct) wrote :
Changed in ubuntu-restricted-extras:
assignee: rainct → nobody
status: In Progress → Confirmed

Does flashplugin-nonfree actually work sufficiently well on amd64 that we'd want to include it?

Also, that patch won't apply with any sane patch option - please fix it, so it applies with patch -p1 < patch.debdiff

What happened to kubuntu-restricted-extras, ppc? did it not deserve to have gnash?

(i'll handle the sponsorship for this one)

Changed in ubuntu-restricted-extras:
assignee: nobody → hobbsee
Siegfried Gevatter (rainct) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-restricted-extras - 12

---------------
ubuntu-restricted-extras (12) hardy; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * Add `flashplugin-nonfree' to the recommends for adm64 and
    `gnash' to those for powerpc (LP: #155845)
  * Add `gstreamer0.10-pitfdll' to the recommends for
    ubuntu-restricted-extras-i386 (LP: #155770)

  [ Sarah Hobbs ]
  * Applied patch from Siegfried-Angel Gevatter Pujals. Thanks!

 -- Sarah Hobbs <email address hidden> Sun, 06 Jan 2008 15:27:41 +1100

Changed in ubuntu-restricted-extras:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers